Ad InsertionUpdate Ad Insertion Settings

Update Ad Insertion Settings

Custom Plan Updates the ad insertion record for the VoD push zone. The record must already exist (i.e. ad insertion must have been enabled first).

curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "provider": "Google Ad Manager",
  "advanced_analytics": 1,
  "transcodingProfileId": 42
}'
{
  "result": "success"
}
POST
/zones/vod/push/{zoneid}/adinsertion
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring
Required

Enable or disable ad insertion on the zone.

Options: Y, N
providerstring

Ad server provider identifier.

advanced_analyticsinteger

1 to enable the Advanced Analytics add-on, which unlocks the Ad Insertion Logs tab and the Advanced Analytics tab (tracking reports, creatives, events, ad breaks). 0 otherwise.

Options: 0, 1
transcodingProfileIdinteger

SSAI transcoding profile ID from the SSAI catalog (see Check/Apply SSAI Transcode Profile). Write-only; omit to leave unchanged.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
enabledstring
Required

Enable or disable ad insertion on the zone.

Allowed values:YN
providerstring

Ad server provider identifier.

Example:
Google Ad Manager
advanced_analyticsinteger

1 to enable the Advanced Analytics add-on, which unlocks the Ad Insertion Logs tab and the Advanced Analytics tab (tracking reports, creatives, events, ad breaks). 0 otherwise.

Allowed values:01
transcodingProfileIdinteger

SSAI transcoding profile ID from the SSAI catalog (see Check/Apply SSAI Transcode Profile). Write-only; omit to leave unchanged.

Example:
42

Responses

resultstring
Allowed values:successerror